Index: prototipo/static/js/docsDraggable.js
===================================================================
--- prototipo/static/js/docsDraggable.js	(revision 0500480bf9d3ee826bcc58cebd95f0cf8a2ba024)
+++ prototipo/static/js/docsDraggable.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
@@ -49,5 +49,6 @@
   // Update current page in HTML
   $("#pdf-current-page2").text(page_no);
-  $("#pagepdf").val(page_no);
+  
+  VALOR_PAGE = page_no;
   
   // Fetch the page
@@ -84,6 +85,5 @@
         __id = __CANVAS.toDataURL()
        
-      var viewdimen = page.getViewport(1);
-      console.log( "Width: " + viewdimen.width + ", Height: " + viewdimen.height);      
+      var viewdimen = page.getViewport(1);  
 
       $("#container1").attr("style", "background-image: url('"+__id+"');background-size: cover; background-repeat: no-repeat;  height:"+viewdimen.height+"px; width:"+viewdimen.width+"px");      
@@ -105,13 +105,13 @@
   $("#pdf-main-container").show(); 
 
-  $("#file-to-upload2").trigger('click');
+  $("#file-sign-ft_Vble").trigger('click');
 
 });
 
 // When user chooses a PDF file
-$("#file-to-upload2").on('change', function() {
+$("#file-sign-ft_Vble").on('change', function() {
 
   // Validate whether PDF
-    if(['application/pdf'].indexOf($("#file-to-upload2").get(0).files[0].type) == -1) {
+    if(['application/pdf'].indexOf($("#file-sign-ft_Vble").get(0).files[0].type) == -1) {
         alert('Error : Not a PDF');
         return;
@@ -119,5 +119,5 @@
 
   // Send the object url of the pdf
-  showPDF2(URL.createObjectURL($("#file-to-upload2").get(0).files[0]));
+  showPDF2(URL.createObjectURL($("#file-sign-ft_Vble").get(0).files[0]));
 
   if (__CLICK == 0){
Index: prototipo/static/js/functions/DraggableSortable.js
===================================================================
--- prototipo/static/js/functions/DraggableSortable.js	(revision 0500480bf9d3ee826bcc58cebd95f0cf8a2ba024)
+++ prototipo/static/js/functions/DraggableSortable.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
@@ -28,9 +28,9 @@
         if (num == 1){
           $("#firma_visible #Formato_Visible .text").hide();
-          $('#dataX').val(0);
-          $('#dataY').val(0);
+          VALOR_X = 0;
+          VALOR_Y = 0;
         }else{
-          $('#dataX').val(ui.position['left']);
-          $('#dataY').val(ui.position['top']);
+          VALOR_X = parseInt(ui.position['left']);
+          VALOR_Y = parseInt(ui.position['top']);
         }
         
Index: prototipo/static/js/functions/firmarDocumentoPdf.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 8d3737919347062d9f5f586dcb1a406e20ff35af)
+++ prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
@@ -1,13 +1,7 @@
-
-$("#form").on('submit', function() {
-
+$("#Form-Format-Visible").on('submit', function() {
 	//var formData = new FormData(document.getElementById("form"));
 	var formData = new FormData();
-   
-    
-    formData.append("upload", $("#file-to-upload2")[0].files[0] );
-
-    console.log(formData);
-    console.log($(this));
+  
+    formData.append("upload", $("#file-sign-ft_Vble")[0].files[0]);
 
     $.ajax({
@@ -22,134 +16,120 @@
 		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
 		success: function(response) {
-				//alert(JSON.stringify(response));
-				var html = manejoJsonPDF(JSON.stringify(response));
-				//alert(html);
-				//alert("ver respuesta")
-				document.getElementById("respuesta").innerHTML = html;
+			//alert(JSON.stringify(response));
+			var html = manejoJsonPDF(JSON.stringify(response));
+			document.getElementById("respuesta").innerHTML = html;
+			
+			// identificador del archivo en el servidor
+			var fileId = response.fileId.toString();
+			var cert;
+
+			window.hwcrypto.getCertificate({lang: "en"}).then(function(response) {
+		  		var cert = response;
 				
-				// identificador del archivo en el servidor
-				var fileId = response.fileId.toString();
+				var parameters = JSON.stringify({
+					"fileId":fileId,
+					"certificate":cert.hex,
+					"reason":"Certificado",
+					"location":"CENDITEL",
+					"contact":"582746574336",
+					"signatureVisible":"true",
+					"page": VALOR_PAGE,
+					"coord_x": VALOR_X,
+					"coord_y": VALOR_Y
+					});
+				
+				// ahora llamar al ajax de obtener la resena del pdf
+				$.ajax({
+					type: 'POST',
+					contentType: 'application/json',				
+					//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs",
+					url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
+					dataType: "json",
+					data: parameters,		
+					headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+					success: function(data, textStatus, jqXHR){
+						var json_x = data;
+						var hash = json_x['hash']; 
+						//alert("hash recibido del servidor "+hash);
+						
+						var hashtype = "SHA-256";
+						var lang = "eng";
+						
+						window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(function(signature) {
+										        		
+			        		$.ajax({
+								type: 'POST',
+								contentType: 'application/json',
+								//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs/resenas",
+								url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
+								dataType: 'json',
+								data: JSON.stringify({"signature":signature.hex}),
+								headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+								success: function(data, textStatus, jqXHR){
 
+									alert('Archivo firmado correctamente: ' + data['signedFileId']);
+									
+									var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+									//alert(linkToDownload);
+									document.getElementById("respuesta").innerHTML = linkToDownload;  														
+									
+								},
+								error: function(jqXHR, textStatus, errorThrown){
+									alert('error en pdfs/resenas: ' + textStatus);
+									$("#respuesta").html("error en pdfs/resenas: " + textStatus);
+								}
+							});
+			        					        		
+			      			}, function(err) {
+				        		log_text("sign() failed: " + err);
 
-				var cert;
-				window.hwcrypto.getCertificate({lang: "en"}).then(function(response) {
-			  		var cert = response;
+								var error;
+                                log_text("sign() failed: " + err);
+                                if(err == "Error: user_cancel") {
+                                    alert("sign() failed: El usuario cancelo la operación");
+                                    error = "El usuario cancelo la operación"; 
+                                 }      
+                                 else if(err == "Error: no_certificates") {
+                                     alert("sign() failed: No hay certificado disponible");
+                                     error = "No hay certificado disponible";
+                                 }
+                                 else if(err == "Error: no_implementation") {
+                                     alert("sign() failed: No hay soporte para el manejo del certificado");
+                                     error = "No hay soporte para el manejo del certificado";
+                                 }
 
+				        		//alert("sign() failed: " + err);
+				        		$("#respuesta").html("sign() failed: " + error);
+			    	  	});
+						
+					},								
+					error: function(jqXHR, textStatus, errorThrown){
+						//alert('error: ' + textStatus);
+						//var responseText = jQuery.parseJSON(jqXHR.responseText);
+						alert('ajax error function: ' + jqXHR.responseText);
+						$("#respuesta").html("error function: " + jqXHR.responseText);
+					}
+					
+				});
+				
+			}, function(err) {
+	      			log_text("getCertificate() failed: " + err);
+                    var error;
+                    if(err == "Error: user_cancel") {
+                        alert("getCertificate() failed: El usuario cancelo la operación"    );
+                        error = "El usuario cancelo la operación"; 
+                     }      
+                     else if(err == "Error: no_certificates") {
+                         alert("getCertificate() failed: No hay certificado disponible")    ;
+                         error = "No hay certificado disponible";
+                     }
+                     else if(err == "Error: no_implementation") {
+                         alert("getCertificate() failed: No hay soporte para el manejo del certificado");
+                         error = "No hay soporte para el manejo del certificado";
+					}
+	      			//alert("getCertificate() failed: " + err);
+	      			$("#respuesta").html("getCertificate() failed: " + error);
+	    		});
 
-					
-					var parameters = JSON.stringify({
-						"fileId":fileId,
-						"certificate":cert.hex,
-						"reason":"Certificado",
-						"location":"CENDITEL",
-						"contact":"582746574336",
-						"signatureVisible":"true"
-						// agregar aqui los parametros x,y,pagina
-						});
-					
-					// ahora llamar al ajax de obtener la resena del pdf
-					$.ajax({
-						type: 'POST',
-						contentType: 'application/json',				
-						//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs",
-						url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
-						dataType: "json",
-						data: parameters,		
-						headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
-						success: function(data, textStatus, jqXHR){
-							var json_x = data;
-							var hash = json_x['hash']; 
-							//alert("hash recibido del servidor "+hash);
-							
-							var hashtype = "SHA-256";
-							var lang = "eng";
-							
-							window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(function(signature) {
-								
-
-
-				        		
-				        		$.ajax({
-									type: 'POST',
-									contentType: 'application/json',
-									//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs/resenas",
-									url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
-									dataType: 'json',
-									data: JSON.stringify({"signature":signature.hex}),
-									headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
-									success: function(data, textStatus, jqXHR){
-
-										alert('Archivo firmado correctamente: ' + data['signedFileId']);
-										
-										
-										var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-										//alert(linkToDownload);
-										document.getElementById("respuesta").innerHTML = linkToDownload;  
-										
-
-																						
-										
-									},
-									error: function(jqXHR, textStatus, errorThrown){
-										alert('error en pdfs/resenas: ' + textStatus);
-										$("#respuesta").html("error en pdfs/resenas: " + textStatus);
-									}
-								});
-				        					        		
-				      			}, function(err) {
-					        		log_text("sign() failed: " + err);
-
-									var error;
-                                    log_text("sign() failed: " + err);
-                                    if(err == "Error: user_cancel") {
-                                        alert("sign() failed: El usuario cancelo la operación");
-                                        error = "El usuario cancelo la operación"; 
-                                     }      
-                                     else if(err == "Error: no_certificates") {
-                                         alert("sign() failed: No hay certificado disponible");
-                                         error = "No hay certificado disponible";
-                                     }
-                                     else if(err == "Error: no_implementation") {
-                                         alert("sign() failed: No hay soporte para el manejo del certificado");
-                                         error = "No hay soporte para el manejo del certificado";
-                                     }
-
-					        		//alert("sign() failed: " + err);
-					        		$("#respuesta").html("sign() failed: " + error);
-				    	  	});
-							
-						},								
-						error: function(jqXHR, textStatus, errorThrown){
-							//alert('error: ' + textStatus);
-							//var responseText = jQuery.parseJSON(jqXHR.responseText);
-							alert('ajax error function: ' + jqXHR.responseText);
-							$("#respuesta").html("error function: " + jqXHR.responseText);
-						}
-						
-				
-					});
-					
-					
-					
-				}, function(err) {
-		      			log_text("getCertificate() failed: " + err);
-                        var error;
-                        if(err == "Error: user_cancel") {
-                            alert("getCertificate() failed: El usuario cancelo la operación"    );
-                            error = "El usuario cancelo la operación"; 
-                         }      
-                         else if(err == "Error: no_certificates") {
-                             alert("getCertificate() failed: No hay certificado disponible")    ;
-                             error = "No hay certificado disponible";
-                         }
-                         else if(err == "Error: no_implementation") {
-                             alert("getCertificate() failed: No hay soporte para el manejo del certificado");
-                             error = "No hay soporte para el manejo del certificado";
-						}
-		      			//alert("getCertificate() failed: " + err);
-		      			$("#respuesta").html("getCertificate() failed: " + error);
-		    		});
-				
-				
     	    },
      		error: function(response) {
@@ -159,9 +139,4 @@
 			}
     });
-	
-
-
-
-
 
 });
Index: prototipo/static/js/hwcrypto/gitversion.js
===================================================================
--- prototipo/static/js/hwcrypto/gitversion.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
+++ prototipo/static/js/hwcrypto/gitversion.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
@@ -0,0 +1,1 @@
+var publishedGitVersion='0.0.10';
Index: prototipo/static/js/hwcrypto/hex2base.js
===================================================================
--- prototipo/static/js/hwcrypto/hex2base.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
+++ prototipo/static/js/hwcrypto/hex2base.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
@@ -0,0 +1,45 @@
+// FIXME: origin unknown
+if (!window.atob) {
+  var tableStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
+  var table = tableStr.split("");
+
+  window.atob = function (base64) {
+    if (/(=[^=]+|={3,})$/.test(base64)) throw new Error("String contains an invalid character");
+    base64 = base64.replace(/=/g, "");
+    var n = base64.length & 3;
+    if (n === 1) throw new Error("String contains an invalid character");
+    for (var i = 0, j = 0, len = base64.length / 4, bin = []; i < len; ++i) {
+      var a = tableStr.indexOf(base64[j++] || "A"), b = tableStr.indexOf(base64[j++] || "A");
+      var c = tableStr.indexOf(base64[j++] || "A"), d = tableStr.indexOf(base64[j++] || "A");
+      if ((a | b | c | d) < 0) throw new Error("String contains an invalid character");
+      bin[bin.length] = ((a << 2) | (b >> 4)) & 255;
+      bin[bin.length] = ((b << 4) | (c >> 2)) & 255;
+      bin[bin.length] = ((c << 6) | d) & 255;
+    };
+    return String.fromCharCode.apply(null, bin).substr(0, bin.length + n - 4);
+  };
+
+  window.btoa = function (bin) {
+    for (var i = 0, j = 0, len = bin.length / 3, base64 = []; i < len; ++i) {
+      var a = bin.charCodeAt(j++), b = bin.charCodeAt(j++), c = bin.charCodeAt(j++);
+      if ((a | b | c) > 255) throw new Error("String contains an invalid character");
+      base64[base64.length] = table[a >> 2] + table[((a << 4) & 63) | (b >> 4)] +
+                              (isNaN(b) ? "=" : table[((b << 2) & 63) | (c >> 6)]) +
+                              (isNaN(b + c) ? "=" : table[c & 63]);
+    }
+    return base64.join("");
+  };
+
+}
+
+function hexToBase64(str) {
+  return btoa(String.fromCharCode.apply(null,
+    str.replace(/\r|\n/g, "").replace(/([\da-fA-F]{2}) ?/g, "0x$1 ").replace(/ +$/, "").split(" "))
+  );
+}
+
+function hexToPem(s) {
+   var b = hexToBase64(s);
+   var pem = b.match(/.{1,64}/g).join("\n");
+   return "-----BEGIN CERTIFICATE-----\n" + pem + "\n-----END CERTIFICATE-----"; 
+}
Index: prototipo/static/js/variables.js
===================================================================
--- prototipo/static/js/variables.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
+++ prototipo/static/js/variables.js	(revision 327fd70136b3c8788c1162cbc241aff5115f23a9)
@@ -0,0 +1,3 @@
+var VALOR_PAGE = 0;
+var VALOR_X = 0;
+var VALOR_Y = 0;
